# List All Lookup Tables Retrieves all Lookup Tables / Company Parameter tables. You can use this endpoint to retrieve the table ID. The tableId can be used in other endpoint URLs that work with Company Parameter Values. Find the table ID in the response under id parameter (e.g. "id": 2147484027). Endpoint: POST /lookuptablemanager.fetch Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. - `oldValues` (any) - `operationType` (string) - `startRow` (number) The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results. - `textMatchStyle` (string) - `data` (object) - `data._constructor` (string) - `data.operator` (string) - `data.criteria` (array) - `data.criteria.fieldName` (string) - `data.criteria.operator` (string) Specify an operator of the filter criteria. Enum: "equals", "iEquals", "notEqual", "iNotEqual", "isNull", "notNull", "contains", "iContains", "containsPattern", "iContainsPattern", "notContains", "iNotContains", "startsWith", "iStartsWith", "notStartsWith", "iNotStartsWith", "endsWith", "iEndsWith", "notEndsWith", "iNotEndsWith", "iBetween", "iBetweenInclusive", "inSet", "notInSet" - `data.criteria.value` (string) - `sortBy` (array) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.csrfToken` (string) - `response.startRow` (number) - `response.data` (array) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.uniqueName` (string) - `response.data.label` (string) - `response.data.validAfter` (string) - `response.data.status` (string) - `response.data.simulationSet` (any) - `response.data.type` (string) - `response.data.valueType` (string) - `response.data.nodeId` (any) - `response.data.userGroupEdit` (any) - `response.data.userGroupViewDetails` (any) - `response.data.hideWarnings` (boolean) - `response.data.formatType` (any) - `response.data.lastUpdateByName` (string) - `response.data.createdByName` (string) - `response.data.numberOfKeyFields` (number) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.data.id` (number) - `response.data.isPlasma` (boolean) - `response.data.name` (string) - `response.endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. - `response.totalRows` (number)